package com.objis.demohibernate.test;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Date;
import java.util.Set;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import com.objis.demohibernate.domaine.Formateur;
import com.objis.demohibernate.domaine.Formation;
import com.objis.demohibernate.domaine.Lieu;
import com.objis.demohibernate.service.GestionnaireFormation;

public class GestionnaireFormationTest extends TestCase {

	// Tester la cration d'une Formation. Teste cl primaire retourne
	public void testCreerFormation() {
		GestionnaireFormation serviceGestionnaire = new GestionnaireFormation();	

		Lieu lieu1 = new Lieu("Objis","centre d'affaire Regus, 72 rue du Faubourg St Honor , 75008 Paris");
		Lieu lieu2 = new Lieu("So@t","104 bis, rue de Reuilly, 75012 Paris");

		Formateur formateur1 = new Formateur("Mbiandou", "Douglas", 10);
		Formateur formateur2 = new Formateur("Fontan", "Yannick", 10);
		Formateur formateur3 = new Formateur("Dupont", "Jean", 6);
		Formateur formateur4 = new Formateur("Dufour", "Martin", 8);

		Set<Formateur> formateurs = new java.util.HashSet<Formateur>();
		formateurs.add(formateur1);
		formateurs.add(formateur2);
		formateurs.add(formateur3);
		formateurs.add(formateur4);

		// 3 : Utilisation du service
		Long id = serviceGestionnaire.creerFormation(new Formation("Hibernate",new Date(),3,lieu2,formateurs));
		assertNotNull(id);
		
		
	}

	// Tester RequeteHqlFormateurs
	public void testCacheSession() {
		System.out.println("\n############### testCacheSession ###############");

		GestionnaireFormation gestionnaire = new GestionnaireFormation();

		gestionnaire.testCacheSession();
		
		assertTrue(true);
	}

	// pour ordonner les tests
	public GestionnaireFormationTest(String testName) {
		super(testName);
	}
	public static junit.framework.Test suite() {
		TestSuite suite = new TestSuite("Test GestionnaireFormation");
		suite.addTest(new GestionnaireFormationTest("testCreerFormation"));
		suite.addTest(new GestionnaireFormationTest("testCacheSession"));
		return suite;
	}
}
